# module Bundler::MatchPlatform

### Public Class Methods

platforms_match?(gemspec_platform, local_platform) click to toggle source

    # File lib/bundler/match_platform.rb, line 13
    def self.platforms_match?(gemspec_platform, local_platform)
      return true if gemspec_platform.nil?
      return true if Gem::Platform::RUBY == gemspec_platform
      return true if local_platform == gemspec_platform
      gemspec_platform = Gem::Platform.new(gemspec_platform)
      return true if GemHelpers.generic(gemspec_platform) === local_platform
      return true if gemspec_platform === local_platform

      false
    end

### Public Instance Methods

match_platform(p) click to toggle source

    # File lib/bundler/match_platform.rb, line 9
    def match_platform(p)
      MatchPlatform.platforms_match?(platform, p)
    end